Python error while using "Get script from online scripts collection"

2014-10-07 06:03 AM - Filipe Dias

Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19637

Description

Double click on "Get script from online scripts collection" 

Select "not installed" 

Click on: "Create vector layer from Postgis table" and you'll get this Python error. The same happens with "Unique values count" and other

An error has occured while executing Python code:

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/processing/gui/GetScriptsAndModels.py", line 164, in currentItemChanged

    html += self.tr('

Version:%s') % getDescription(ALG_VERSION, descriptions)

  File "/usr/share/qgis/python/plugins/processing/gui/Help2Html.py", line 91, in getDescription

    return descriptions[name].replace("\

", " 

")

AttributeError: 'float' object has no attribute 'replace'

Python version:

2.7.6 (default, Mar 22 2014, 23:03:41) 

[GCC 4.8.2]

QGIS version:

2.5.0-Master Master, exported

Python path: ['/usr/share/qgis/python/plugins/processing', '/usr/share/qgis/python', u'/home/fd/.qgis2/python',

u'/home/fd/.qgis2/python/plugins', '/usr/share/qgis/python/plugins', '/usr/lib/python2.7', '/usr/lib/python2.7/plat-x86_64-linux-gnu',

'/usr/lib/python2.7/lib-tk', '/usr/lib/python2.7/lib-old', '/usr/lib/python2.7/lib-dynload', '/usr/local/lib/python2.7/dist-packages',

'/usr/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages/PILcompat', '/usr/lib/python2.7/dist-packages/gtk-2.0',

'/usr/lib/pymodules/python2.7', '/usr/lib/python2.7/dist-packages/ubuntu-sso-client',

'/usr/lib/python2.7/dist-packages/wx-2.8-gtk2-unicode', '/home/fd/.qgis2/python/plugins/MetaSearch/ext-libs',

'/usr/share/qgis/python/plugins/fTools/tools']

Associated revisions

Revision dcdf9fb7 - 2014-10-07 10:26 PM - Salvatore Larosa

[processing] Fixes #11345 - Python error while using Get script from online scripts collection

History
#1 - 2014-10-07 01:59 PM - Salvatore Larosa

- Status changed from Open to Closed

Fixed in changeset commit:"dcdf9fb7f60fa825b8319e50e49d4a48079180ee".
